Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   


Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker

Category:   Application (Generic)  >   Novell Client Vendors:   Novell
Novell Client Buffer Overflow in 'DPRPCW32.DLL' Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016052
SecurityTracker URL:
CVE Reference:   CVE-2006-2304   (Links to External Site)
Updated:  Dec 5 2009
Original Entry Date:  May 10 2006
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): Novell Client 4.83 SP3, 4.90 SP2 and 4.91 SP2 for Windows 2000/XP/2003
Description:   A vulnerability was reported in the Novell Client. A remote user can execute arbitrary code on the target system.

The 'DPRPCW32.DLL' distributed print services component contains an integer overflow.

The vendor was notified on May 1, 2006.

Ryan Smith and Alex Wheeler researched this vulnerability.

The original advisory is available at:

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a patch file (491psp2_dprpcw32.exe), available at:

The Novell advisory is available at:

Vendor URL: (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (2000), Windows (2003), Windows (XP)

Message History:   None.

 Source Message Contents

Date:  Wed, 10 May 2006 01:01:23 -0400
Subject:  Novell Client 4.91 Post-SP2 DPRPCW32.DLL

Go to the Top of This SecurityTracker Archive Page

Home   |    View Topics   |    Search   |    Contact Us

Copyright 2015, LLC